# Installation

This part deals with 'how install the binding'

## I - Using distribution packager manager

Add the Redpesk repository into your packager manager following this link: <download.redpesk.bzh>
Install the package **badge-reader-binding**

## II- Building from source

### a. Prerequisites

Building tools

* gcc
* g++
* make
* cmake
* afb-cmake-modules

Then the following dependencies:

* json-c
* afb-binding
* libmicrohttpd
* afb-libhelpers
* afb-libcontroller
* sqlite3

Fedora/OpenSuse:

```bash
dnf install gcc-c++ make cmake afb-cmake-modules json-c-devel afb-binding-devel libmicrohttpd-devel afb-libhelpers-devel sqlite sqlite-devel
```

Ubuntu:

```bash
apt install gcc g++ make cmake afb-cmake-modules-bin libsystemd-dev libjson-c-dev afb-binding-dev libmicrohttpd-dev afb-libhelpers-dev sqlite3
```

### b. Build

```bash
git clone http://git.ovh.iot/redpesk/redpesk-addons/badge-reader-binding
cd badge-reader-binding
export WORK_DIR="${PWD}"
mkdir build
cd build
cmake ..
make
```

## Link

* [ReadME](../README.md)
* [Architecture](1-Architecture.md)
* [Usage](3-Usage.md)
* [Service](4-service.md)
