# Security with MiFare Classic badges

To increase the security of the CN56 badge reader, it is better to apply theses 4 next points

## I - Keys & acls

* Apply different keys by sectors
* Use Key B for write data (=private key)
* Use Key A for only Read data (=public key)

## II - encrypted data

Data wrote on the badge has to be encrypted with a key **construct by the uuid of the badge**. In this case, we can ensure to not read a cloned badged (If the uuid has not been overwritten). Each badges will have its own encrypted data.

## III - blocks begins by 0

Some brut-force hacking software test all keys and check if a block returns values different by 0. SO when we will write data on a sector's block, it will be better write 0x00 for the sixth first bytes.

## IV - Updated data

To ensure to not have cloned data, it will be useful to update a data on a specific block each day.

Workflow:

* Worker comes at the morning and badges
* Badge-reader catch the code of the last day, overwrite it with the nex code of the day
* Badge-reader update its own database and put the uuid of the badge with the new code
* If a cloned badge comes, the badge-reader will see for the second time the code of the last day -> means that we have a cloned badges. We will be able to notify it !

## LINK

* [ReadMe](../README.md)
* [Architecture](1-Architecture.md)
* [Installation](2-Installation.md)
* [Usage](3-Usage.md)
