# Copyright 2021 IoT.bzh
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
###########################################################################

Name:       badge-reader-binding
#Hexsha: 1dc0ad8d91b0ddc1e08fb33c9f2559fb5c1a1bd0
Version: 1.5.4
Release:    1%{?dist}
License:    GPLv3
Summary:    Service which communicate with badge reader through TCP/UDP connection
URL:        http://git.ovh.iot/redpesk/redpesk-common/badge-reader-binding.git
Source0:    %{name}-%{version}.tar.gz

BuildRequires: afm-rpm-macros
BuildRequires: libmicrohttpd-devel >= 0.9.55
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: kernel-headers
BuildRequires: afb-cmake-modules
BuildRequires: pkgconfig(json-c)
BuildRequires: pkgconfig(libsystemd) >= 222
BuildRequires: pkgconfig(libmicrohttpd) >= 0.9.55
BuildRequires: pkgconfig(afb-binding)
BuildRequires: pkgconfig(afb-libhelpers)
BuildRequires: pkgconfig(afb-libcontroller)

BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
Badge reader level binding

%afm_package_test

%files
%afm_files
%{_afmdatadir}/include/badge-reader-binding.h
%{_libdir}/pkgconfig/badge-reader.pc

%prep
%autosetup -p 1

%build
%afm_configure_cmake
%make_build -C %{_builddirpkg}
make widget_files -C %{_builddirpkg}

%install
%afm_makeinstall

%clean

%changelog