# Mifare 1

This doc refers to the MiFare1 Card.

## Memory map

| Sector | Blocks | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10| 11 | 12 | 13 | 14 | 15 | Desc |
| :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- |
| 0 | [0] 0| | | | | | | | | | | | | | | | | Manufacturer Block|
|  | [1] 1 | | | | | | | | | | | | | | | | | Data Block|
|  | [2] 2 | | | | | | | | | | | | | | | | | Data Block|
|  | [3] 3 | Key A | Key A |  Key A | Key A | Key A | Key A | Access Bit | Access Bit | Access Bit | Access Bit | Key B | Key B | Key B | Key B | Key B | Key B | Sector Trailer 0|
| 1 | [0] 4 | | | | | | | | | | | | | | | | | Manufacturer Block|
|  | [1] 5 | | | | | | | | | | | | | | | | | Data Block|
|  | [2] 6 | | | | | | | | | | | | | | | | | Data Block|
|  | [3] 7 | Key A | Key A |  Key A | Key A | Key A | Key A | Access Bit | Access Bit | Access Bit | Access Bit | Key B | Key B | Key B | Key B | Key B | Key B | Sector Trailer 1|
| 39 | [0] 240 | | | | | | | | | | | | | | | | | Manufacturer Block|
|  | [1] 241 | | | | | | | | | | | | | | | | | Data Block|
|  | [2] 242 | | | | | | | | | | | | | | | | | Data Block|
|  | [3] 243 | Key A | Key A |  Key A | Key A | Key A | Key A | Access Bit | Access Bit | Access Bit | Access Bit | Key B | Key B | Key B | Key B | Key B | Key B | Sector Trailer 39|

## Manufacturer Block

| 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 |
| :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- | :-- |
|UID[0..6]|||||||Manufacturer Data|||||||||

## Access Bits & Conditions

### Access bits

![Access Bits](img/access_bits.png)

### Access Conditions for trailer section

![Access Conditions](img/access_conditions_sector_trailer.png)

### Access Conditions for data section

![Access Conditions](img/access_conditions_sector_data.png)

## Transport Configuration

Transport configuration is the name for factory default keys and configuration.

* KeyA: 0x FF FF FF FF FF FF (Default Key - Cannot be readable)
* KeyB: 0x FF FF FF FF FF FF (Default Data) KeyB is used as data in transport configuration because it is readable. It cannot be used as authentication key.
* Access Bits: 0xFF0780

Access Bits: 0xFF0780 meaning:

* KeyA never be read, but can write(change) itself.
* KeyA can read/write Access Bits and KeyB.
* Notice that the KeyB is read-able by KeyA. Thus, KeyB cannot be used as an authentication key. It can be used for general purpose user data.
* KeyA is allowed to read/write/increment/decrement for the data blocks.

See the next title for detailed analysis of the access bits of Transport Configuration

## Access Bits analysis example

![Access bits analysis](img/access_bits_analysis.png)
